UI::GXML::OutputBuffer Class Reference

OutputBuffer holder class. More...

`#include <Buffer.hpp>`

Inheritance diagram for UI::GXML::OutputBuffer:
Collaboration diagram for UI::GXML::OutputBuffer:

## Public Types

enum | ErrorCode
| Error codes for exceptions.
typedef CodeException< ErrorCode > | Exception
| Exceptions for this class.

## Public Member Functions

xmlOutputBuffer * | get () const
| Get underlying pointer.
xmlOutputBuffer * | operator-> () const
| Smart dereferencing.
void | concat (std::string const &text)
| Append text.
char const * | getBuf () const
| Get buffer content address.
int | getSize () const
| Get buffer content size.

## Detailed Description

OutputBuffer holder class.

The documentation for this class was generated from the following files:

- Buffer.hpp
- Buffer.cpp